Skip to main content
GET
/
v1
/
org
/
{org_id}
/
commitment-plans
/
{plan_id}
/
line-items
/commitment-plans/{plan_id}/line-items
curl --request GET \
  --url https://api.archera.ai/v1/org/{org_id}/commitment-plans/{plan_id}/line-items \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lease_menu_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "<string>",
    "recommended_quantity": 123,
    "selected_quantity": 123,
    "recommended_commitment": 123,
    "selected_commitment": 123,
    "is_selected": true,
    "after_amortized_cost": 123,
    "upfront_cost": 123,
    "recurring_cost": 123,
    "before_cost": 123,
    "before_ondemand_cost": 123,
    "before_reserved_cost": 123,
    "covered_ondemand_cost": 123,
    "after_covered_units": 123,
    "total_cost": 123,
    "monthly_cost": 123,
    "savings": 123,
    "monthly_savings": 123,
    "total_savings": 123,
    "fee": 123,
    "discount_rate": 123,
    "breakeven_hours": 123,
    "contract_term": "one_year_gris",
    "payment_option": "No Upfront",
    "contract_spec": {
      "commitment_type": "<string>",
      "properties": {},
      "term": null,
      "payment_option": null
    },
    "offer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "AWS",
      "provider_offering_id": "<string>",
      "type": "<string>",
      "display_name": "<string>",
      "leased_display_name": "<string>",
      "region": "<string>",
      "duration_seconds": 123,
      "upfront_cost": 123,
      "recurring_cost": 123,
      "offering_id": "<string>",
      "product_description": "<string>",
      "instance_family": "<string>",
      "instance_type": "<string>",
      "tenancy": "<string>",
      "az": "<string>",
      "is_multi_az": true,
      "is_flexible": true,
      "plan_type": "<string>",
      "offering_class": "standard",
      "payment_option": "No Upfront"
    }
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key from User Settings > API Access in the Archera platform.

Path Parameters

org_id
string<uuid>
required
plan_id
string<uuid>
required

Query Parameters

order_by
enum<string> | null
default:id

Field to order results by

Available options:
id,
plan_id,
offer_id,
account_id,
amortized_cost,
upfront_cost,
recurring_cost,
total_cost,
savings,
fee,
covered_ondemand_cost,
before_ondemand_cost,
before_reserved_cost,
covered_units,
before_cost,
monthly_savings,
breakeven_hours,
discount_rate,
monthly_cost,
selected_quantity,
null,
offer.type,
offer.duration_seconds
Example:

"created_at"

desc
boolean | null

Sort in descending order if true

Example:

"true"

segment_id
string

Filter line items by segment ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

resource_match_ids
string<uuid>[]

Filter line items by specific resource match IDs

Example:
[
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100

Response

OK

id
string<uuid>
required
plan_id
string<uuid>
required
offer_id
string<uuid>
required
lease_menu_item_id
string<uuid> | null
required
account_id
string | null
required

Recommended number of units to purchase

selected_quantity
integer
required

Selected number of units to purchase

Recommended hourly commitment amount ($/hour for Savings Plans, 0 for instance RIs)

selected_commitment
number
required

Selected hourly commitment amount ($/hour for Savings Plans, 0 for instance RIs)

is_selected
boolean
required

Whether this line item is selected for purchase

after_amortized_cost
number
required

Hourly amortized cost of the commitment (upfront + recurring)

upfront_cost
number
required

Total upfront payment required (not hourly rate)

recurring_cost
number
required

Hourly recurring cost

before_cost
number
required

Total hourly cost before this commitment (ondemand + existing reservations)

before_ondemand_cost
number
required

Hourly ondemand cost before this commitment

before_reserved_cost
number
required

Hourly reserved cost from existing commitments

covered_ondemand_cost
number
required

Hourly ondemand cost that will be covered by this commitment

after_covered_units
number
required

Units that will be covered after the plan is applied

total_cost
number
required

Total cost of this commitment over its full term

monthly_cost
number
required

Monthly cost of this commitment

savings
number
required

Hourly savings compared to ondemand pricing

monthly_savings
number
required

Average monthly savings compared to ondemand pricing

total_savings
number
required

Total savings over the commitment term

fee
number
required

Estimated Archera premium (hourly) based on quoted maximum savings. See https://www.archera.ai/pricing for details.

discount_rate
number
required

Discount percentage vs ondemand

breakeven_hours
number
required

Hours of usage needed until the achieved savings is greater than the remaining commitment for this line item

contract_term
enum<string>
required

Commitment term (e.g., 'one_year_gris', 'thirty_day_gris')

Available options:
one_year_gris,
thirty_day_gris,
three_month_gris,
six_month_gris,
one_year,
two_year,
three_year,
five_year,
zero_day,
thirty_day,
two_month,
three_month,
four_month,
five_month,
six_month,
seven_month,
eight_month,
nine_month,
ten_month,
eleven_month,
thirteen_month,
fourteen_month,
fifteen_month,
sixteen_month,
seventeen_month,
eighteen_month,
nineteen_month,
twenty_month,
twenty_one_month,
twenty_two_month,
twenty_three_month,
twenty_five_month,
twenty_six_month,
twenty_seven_month,
twenty_eight_month,
twenty_nine_month,
thirty_month,
thirty_one_month,
thirty_two_month,
thirty_three_month,
thirty_four_month
payment_option
enum<string>
required

Payment structure (No Upfront, Partial Upfront, All Upfront)

Available options:
No Upfront,
Partial Upfront,
All Upfront
contract_spec
object
required

Detailed contract specifications including commitment type and properties

offer
object
required

Detailed information about the commitment offer